PagedResultsResponseControl (Java SE 26 & JDK 26)
Description: declaration: module: java.naming, package: javax.naming.ldap, class: PagedResultsResponseControl
Keywords: javax.naming.ldap.PagedResultsResponseControl class

# Class PagedResultsResponseControl

java.lang.Object
javax.naming.ldap.BasicControl
javax.naming.ldap.PagedResultsResponseControl

All Implemented Interfaces:
  `Serializable, Control`

public final class PagedResultsResponseControl extends BasicControl
Indicates the end of a batch of search results. Contains an estimate of the total number of entries in the result set and an opaque cookie. The cookie must be supplied to the next search operation in order to get the next batch of results.

The code sample in `PagedResultsControl` shows how this class may be used.

This class implements the LDAPv3 Response Control for paged-results as defined in RFC 2696. The control's value has the following ASN.1 definition:

        realSearchControlValue ::= SEQUENCE {
            size      INTEGER (0..maxInt),
                              -- requested page size from client
                              -- result set size estimate from server
            cookie    OCTET STRING
        }

Since:
  1.5
See Also:
  - `PagedResultsControl`
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OID`
  The paged-results response control's assigned object identifier is 1.2.840.113556.1.4.319.

  ### Fields declared in class BasicControl

  `criticality, id, value`
  Modifier and Type
  Field
  Description
  `protected boolean`
  `criticality`
  The control's criticality.
  `protected String`
  `id`
  The control's object identifier string.
  `protected byte[]`
  `value`
  The control's ASN.1 BER encoded value.

  ### Fields declared in interface Control

  `CRITICAL, NONCRITICAL`
  Modifier and Type
  Field
  Description
  `static final boolean`
  `CRITICAL`
  Indicates a critical control.
  `static final boolean`
  `NONCRITICAL`
  Indicates a non-critical control.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PagedResultsResponseControl(String id, boolean criticality, byte[] value)`
  Constructs a paged-results response control.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getCookie()`
  Retrieves the server-generated cookie.
  `int`
  `getResultSize()`
  Retrieves (an estimate of) the number of entries in the search result.

  ### Methods declared in class BasicControl

  `getEncodedValue, getID, isCritical`
  Modifier and Type
  Method
  Description
  `byte[]`
  `getEncodedValue()`
  Retrieves the control's ASN.1 BER encoded value.
  `String`
  `getID()`
  Retrieves the control's object identifier string.
  `boolean`
  `isCritical()`
  Determines the control's criticality.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### OID

    public static final String OID
    The paged-results response control's assigned object identifier is 1.2.840.113556.1.4.319.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PagedResultsResponseControl

    public PagedResultsResponseControl(String id, boolean criticality, byte[] value) throws IOException
    Constructs a paged-results response control.
    Parameters:
      `id` - The control's object identifier string.
      `criticality` - The control's criticality.
      `value` - The control's ASN.1 BER encoded value. It is not cloned - any changes to value will affect the contents of the control.
    Throws:
      `IOException` - If an error was encountered while decoding the control's value.

- ## Method Details

  - ### getResultSize

    public int getResultSize()
    Retrieves (an estimate of) the number of entries in the search result.
    Returns:
      The number of entries in the search result, or zero if unknown.

  - ### getCookie

    public byte[] getCookie()
    Retrieves the server-generated cookie. Null is returned when there are no more entries for the server to return.
    Returns:
      A possibly null server-generated cookie. It is not cloned - any changes to the cookie will update the control's state and thus are not recommended.